diff --git a/notebook_nueva/audio_plug.py b/notebook_nueva/audio_plug.py index 625b66b..baabceb 100644 --- a/notebook_nueva/audio_plug.py +++ b/notebook_nueva/audio_plug.py @@ -7,9 +7,8 @@ from utils import extrude_shape, punch_hole # The hole is for a random USB sound card. # Consumers should set proper offsets for the hole -# FIXME: use actual sizes -item_w = 40 -item_h = 20 +item_w = 49 +item_h = 20.5 hole_w = 17 hole_h = 5 diff --git a/notebook_nueva/modelo.py b/notebook_nueva/modelo.py index edaecb3..bcc4783 100644 --- a/notebook_nueva/modelo.py +++ b/notebook_nueva/modelo.py @@ -45,22 +45,19 @@ mounting_pillar_positions = [ ] screen_pillars.init(mounting_pillar_positions, thickness - shell_t) -# Thing to "grab" the hub so it stays in place -# Distance from left edge to center of USB plug -usb_offset = width - 48 +# Offset for the USB port from back-left corner +# of the case to left side of the hub +usb_offset_x = width - audio_plug.item_w - usb_hub.item_w # CPU holder position from back-left corner of the case -cpu_offset_x = 180 -cpu_offset_y = 3 +cpu_offset_x = 177 +cpu_offset_y = 2 # Battery holder position from back-left corner of the case battery_offset_x = 15 battery_offset_y = 3 -# Offset for the USB port from back-right corner of the case -usb_offset = 48 - def model(): # Create the basic shape of the case bottom. @@ -86,7 +83,7 @@ def model(): thickness=thickness, bottom_face="